Skip to main content
`Ctrl`+`K`

# skbio.util.PlottableMixin

class skbio.util.PlottableMixin

  A plottable object.

  Attributes

  `png` | Get figure data in PNG format.
  `svg` | Get figure data in SVG format.

  Special methods (inherited)

  `__eq__`(value, /) | Return self==value.
  `__ge__`(value, /) | Return self>=value.
  `__getstate__`(/) | Helper for pickle.
  `__gt__`(value, /) | Return self>value.
  `__hash__`(/) | Return hash(self).
  `__le__`(value, /) | Return self<=value.
  `__lt__`(value, /) | Return self<value.
  `__ne__`(value, /) | Return self!=value.
  `__str__`(/) | Return str(self).

  Details

  png

    Get figure data in PNG format.

    Returns:
      bytes

        Figure data in PNG format.

  svg

    Get figure data in SVG format.

    Returns:
      str

        Figure data in SVG format.